<?

include "settings.php";


if ("$pass"!="$passadmin") {
print "<BR><BR><CENTER><br><br><form action=$PHP_SELF method=post><br>Password<input type=password name=pass>
<br><input type=submit value=войти>
</form>";exit;}
print "<title>Здрасти для Администратора</title>";
print "<a href=$PHP_SELF?action=config&pass=$pass>Настройки</a>|<a href=$PHP_SELF?action=data&pass=$pass>База данных для поисковика</a>";
if($action == "config")
{
if(isset($submit))
{
$f = fopen("settings.php", "w");
$pass=$pass1;
$b='<? $passadmin='.$pass.';'."\n".'$searchfile='.$searchfile.';?>';
fwrite($f, $b);
fclose($f);
echo "<br><b>OK  Изменения сделаны</b>";
} else {

echo "<form action=$PHP_SELF?action=config method=POST>
<input type=hidden name=pass value=$pass>
Новый пароль:<input type=text name=pass1 value=$pass><br>
Файл базы:<input type=text name=searchfile value=$searchfile>
<p><input type=submit value=Внести изменения name=submit>
</form>";
}
}

if($action == "data")
{
if(isset($submit))
{
$f = fopen("$searchfile", "w");
fwrite($f, $datas);
fclose($f);
echo "<br><b>OK  Изменения сделаны</b>";
} else {
$f = fopen($searchfile, "r");
$datas =  fread($f, filesize($searchfile));
fclose($f);
echo "<form action=$PHP_SELF?action=data method=POST>
<input type=hidden name=pass value=$pass>
Внести в базу можно следующим способом поисковое слово::адрес, каждое условие пишется с новой строки.<br>
<textarea cols=60 rows=15 name=datas>$datas</textarea>
<p><input type=submit value=Внести изменения name=submit>
</form>";
}
}
print '<br><hr>';
?>